.post {
  border-top: .175rem solid var(--tan);
}

.post-title {
  text-wrap: balance;
}

.post-featured-figure {
  width: fit-content;
}

.image-caption a {
  color: var(--orange);
  text-decoration: underline;
}

.post-block-figure {
  margin-left: 0;
  margin-right: 0;
}

.post-tags {
  border-top: 0.175rem solid var(--tan);
}

.post-tags-label {
  gap: 0.5rem;
}

.post-tags-icon {
  height: 1rem;
  width: 1rem;
}

.post-nav {
  display: grid;
  gap: 1rem;
}

.post-nav-link {
  border: 0.175rem solid var(--navy);
  text-decoration: none;

  &:hover {
    border-color: var(--orange);
  }
}

.post-nav-link:only-child {
  grid-column: 1 / -1;
}

.post-content {
  a {
    color: var(--orange);
    text-decoration: underline;
  }

  hr {
    background-color: var(--tan);
    border: none;
    height: .175rem;
    margin-bottom: 1rem;
  }

  ol,
  ul {
    font-size: var(--h5);
    line-height: 1.5;
    margin-bottom: 1rem;
    padding-left: 1rem;
  }

  h2,
  h3,
  h4,
  h5,
  h6,
  p {
    margin-bottom: 1rem;
    text-wrap: pretty;
  }

  h2 { font-size: var(--h2); }
  h3 { font-size: var(--h3); }
  h4 { font-size: var(--h4); }
  h5 { font-size: var(--h5); }
  h6 { font-size: var(--h6); }
  p { font-size: var(--h5); }
}

.post-author-photo {
  border-radius: 100%;
  width: 12rem;
}

.post-author-fallback {
  border: .25rem solid var(--yellow);
}

@media (min-width: 768px) {
  .post-content {
    hr {
      margin-bottom: 2rem;
      margin-top: 2rem;
    }

    h4 {
      font-size: var(--h3);
    }
  }

  .post-author-photo {
    width: 32rem;
  }

  .post-nav {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .post-nav-next {
    text-align: right;
  }
}
